/* Карточка */
.card {
    background: #fff;
    border-radius: 12px;
    position: relative;
    height: fit-content;
    overflow: visible;
    border: 1px solid rgba(222, 222, 222, 1);
    margin: 0 0 10px;
}

/* Картинка */
.card img {
    width: 100%;
    display: block;
    z-index: 0;
    position: relative;
    height: 100%;
    object-fit: cover;
}

/* Описание */
.info {
    padding: 12px;
    background: #fff;
    position: relative;
    z-index: 2;
    border-radius: 0 0 12px 12px;
    height: 100px;

    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.info_bottom{
    display: flex;
    justify-content: space-between;
    align-items: end;
    margin: auto 0 0 0;
}

.info a{
    display: -webkit-box;        /* Включаем flexbox */
    -webkit-line-clamp: 2;       /* Количество строк */
    -webkit-box-orient: vertical;/* Вертикальная ориентация */
    overflow: hidden;
    color: rgba(112, 111, 111, 1);
}

/* Панель */
.hover-panel {
    position: absolute;
    left: -1px;
    width: calc(100% + 2px);
    background: #fff;
    padding: 10px 15px 15px;
    box-sizing: border-box;

    top: 98%;
    transform: translateY(-100%);
    height: 0;
    overflow: hidden;
    transition: 0.2s ease;

    z-index: 1;
    box-shadow: 0 -10px 20px rgba(0,0,0,0.05);

    border-radius: 0 0 12px 12px;
    border: 1px solid rgba(222, 222, 222, 1);
}

.card:hover {
    z-index: 10;
}

/* Hover эффект */

.card.active .hover-panel{
    transform: translateY(0px);
    height: auto;
    overflow: visible;
}

.card select,
.c-florist__item select{
    display: none;
}


.card.active select,
.c-florist__item.active select{
    overflow: visible;
    display: flex;
}

.card:hover .info{
    border-radius: 0 0 12px 12px;
}

.cart-btn.cart-icon--green{
    width: 50px;
    height: 40px;
    /* background: #4CAF50; */
    border-radius: 8px;
    font-size: 20px;
    color: #fff;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: rgba(128, 128, 128, 1);
    text-decoration: none;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    background: url(../assets/icons/add-to-cart-icon.svg) no-repeat 100% 100%;
}

.card-img{
    overflow: hidden;
    border-radius: 12px 12px 0 0;
    height: 350px;
    display: block;
}

/* Цена */
.price {
    font-size: 16px;
    display: flex;
    flex-direction: row;
}

.price span {
    color: #888;
    margin: 0 0 0 10px;
    text-decoration: line-through;
}

.price p{
    margin-left: 10px;
    color: #888;
    margin-bottom: 0;
}

/* Кнопка */
.btn-purchase {
    width: 100%;
    padding: 10px;
    color: #fff;
    border: none;
    border-radius: 6px;
    margin-top: 10px;
    cursor: pointer !important;
}

/* Мини карточка */
.hover-panel.mini {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cart-btn {
    width: 40px;
    height: 40px;
    background: #4CAF50;
    border-radius: 8px;
    font-size: 20px;
    color: #fff;
}

/* ===== Кастом select ===== */
.custom-select {
    position: relative;
    margin-bottom: 10px;
    font-size: 14px;
}

.select-selected {
    padding: 6px 10px;
    border: 1px solid #ddd;
    border-radius: 6px;
    background: #fff;
    cursor: pointer;
    position: relative;
}

/* стрелка */
.select-selected::after {
    content: "";
    position: absolute;
    right: 10px;
    top: 50%;
    width: 6px;
    height: 6px;
    border: solid #666;
    border-width: 0 2px 2px 0;
    transform: translateY(-50%) rotate(45deg);
    transition: 0.3s;
}

/* поворот */
.select-selected.active::after {
    transform: translateY(-50%) rotate(-135deg);
}

/* список */
.select-items {
    position: absolute;
    left: 0;
    right: 0;
    background: #fff;
    border: 1px solid #ddd;
    border-radius: 6px;
    margin-top: 5px;
    display: none;
    z-index: 10;
}

.select-items div {
    padding: 6px 10px;
    cursor: pointer;
}

.select-items div:hover {
    background: #f3f3f3;
}

/* Стили Юры */
select.js-sku-select {
    font-size: 14px;
    margin-bottom: 5px;
    appearance: none;
    @supports (appearance: base-select) {
        &,
        &::picker(select) {
            appearance: base-select;
        }
    }
}

select.js-sku-select {
    display: flex;
    justify-content: space-between;
    min-width: 100%;
    align-items: center;
    color: gray;
    padding-block: 5px;
    padding-inline: 5px 30px;
    border-radius: 5px;
    border: 1px solid gray;
    cursor: pointer;
    /*font-weight: 700;*/
    background: white
    url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke-width='1.5' stroke='%23AAA' class='size-6'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='m19.5 8.25-7.5 7.5-7.5-7.5' /%3E%3C/svg%3E%0A")
    right 10px center / 20px no-repeat;
    @supports (appearance: base-select) {
        padding-inline: 10px;
        background-image: none;
        &::picker-icon {
            content: "";
            width: 20px;
            height: 20px;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke-width='1.5' stroke='%23AAA' class='size-6'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='m19.5 8.25-7.5 7.5-7.5-7.5' /%3E%3C/svg%3E%0A");
            transition: rotate 0.2s ease-out;
        }
        &:open::picker-icon {
            rotate: 180deg;
        }
        &::picker(select) {
            padding: 0;
            margin-top: 5px;
            border: 1px solid gray;
            background: white;
            border-radius: 5px;
            /*font-weight: 400;*/

            opacity: 0;
            height: 0;
            overflow: clip;
            transition: height 0.5s ease-out, opacity 0.5s ease-out, overlay 0.5s,
            display 0.5s;

            transition-behavior: allow-discrete;
        }
        &:open::picker(select) {
            opacity: 1;
            height: auto;
            overflow: auto;
            @starting-style {
                opacity: 0;
                height: 0;
            }
        }
        option {
            width: 100% !important;
            padding: 5px;
            border-top: 1px solid lightgrey;
            cursor: pointer;
            transition-property: color, background;
            transition-duration: 0.2s;
            transition-timing-function: ease-out;
            border: none;
            &:where(:hover, :focus, :active) {
                background: #EEE;
                /*color: white;*/
            }
            &:checked {
                background: #CCC;
                color: white;
            }
            &::checkmark {
                display: none;
            }
            &:first-child {
                border: 0;
            }
        }
    }
}

@media screen and (max-width: 991px) {

}

@media screen and (max-width: 768px){
    .goods-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .card-img{
        height: 210px;
    }
}

@media screen and (max-width: 650px){
    .info{
        font-size: 14px;
        line-height: 20px;
    }


}

@media screen and (max-width: 520px){
    .card-img {
        height: 165px;
    }
}